// Global variables for SD Card
//
#include <p18f4620.h>
#include <delays.h>
#include "Globals.h"
#include "SD.h"

int string_offset;

void delay_ms(unsigned int x)
{
    unsigned int i;
    for (i = 0; i<x; i++)
    {
        Delay1KTCYx(8); //Delay 8000Tcy @32MHz = 1 mS
    }
}

void delay_us(unsigned int x)
{
    unsigned int i;
    for (i = 0; i<x; i++)
    {
        Delay1TCY(); //Delay 8Tcy @32MHz = 1 uS
        Delay1TCY();
        Delay1TCY();
        Delay1TCY();
        Delay1TCY();
        Delay1TCY();
        Delay1TCY();
        Delay1TCY();
    }
}

void Globals_IO_init(void)
{
    ADCON0 &= ~(1); 		// ADON bit 0, AD converter OFF
    ADCON1 = 0x0F; 			// All ADC pins as digital I/O
    CMCON = 0x07; 			// Comparators OFF
    OSCCON = 0; 			// Primary oscillator as clock source
    SSPADD = 0x4F;  		// I2C baudrate, 100 kHz ( Fosc/(4*(SSPADD+1)) )

    TRISC = 0;
    TRISC |= (1<<4); //all output except RC4 (SDI)
	CD_TRIS = 1;
	WP_TRIS = 1;
    PORTC = 0;
}
